Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## hibergui.generator.tool.xml
Class XMLErrorHandler

    java.lang.Object
      hibergui.generator.tool.xml.XMLErrorHandler

All Implemented Interfaces:
  org.xml.sax.ErrorHandler

     class XMLErrorHandler

extends java.lang.Object
implements org.xml.sax.ErrorHandler

Class implements ErrorHandler. Its methods handle different errors which can be occured while processing XML document.

Author:
  Csaba Gyenge

Constructor Summary
`XMLErrorHandler()`

Method Summary
`void` | `error(org.xml.sax.SAXParseException e)` Show errors in xml
`void` | `fatalError(org.xml.sax.SAXParseException e)` Throws fatal errors
`void` | `warning(org.xml.sax.SAXParseException e)` Show warning messages

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLErrorHandler

    XMLErrorHandler()

Method Detail

### fatalError

    public void fatalError(org.xml.sax.SAXParseException e)
                    throws org.xml.sax.SAXException

  Throws fatal errors

  Specified by:
    `fatalError` in interface `org.xml.sax.ErrorHandler`
  Throws:
    `org.xml.sax.SAXException`

### error

    public void error(org.xml.sax.SAXParseException e)
               throws org.xml.sax.SAXParseException

  Show errors in xml

  Specified by:
    `error` in interface `org.xml.sax.ErrorHandler`
  Throws:
    `org.xml.sax.SAXParseException`

### warning

    public void warning(org.xml.sax.SAXParseException e)
                 throws org.xml.sax.SAXParseException

  Show warning messages

  Specified by:
    `warning` in interface `org.xml.sax.ErrorHandler`
  Throws:
    `org.xml.sax.SAXParseException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD